# $Revision: 1.21 $, $Date: 2007/01/16 18:54:11 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	SmartIRC
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - IRC client class
Summary(pl):	%{_pearname} - klasa klienta IRC
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	2
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	042935bf413e7021aeea2971dd4d3997
Patch0:		%{name}-fix_includes.patch
Patch1:		%{name}-refs.patch
URL:		http://pear.php.net/package/Net_SmartIRC/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Net_SmartIRC is a PHP class for communication with IRC networks, which
conforms to the RFC 2812 (IRC protocol). It's an API that handles all
IRC protocol messages. This class is designed for creating IRC bots,
chats and show irc related info on webpages.

Featurelist:
- actionhandler for the API
- messagehandler for the API
- send/receive floodprotection
- detects and changes nickname on nickname collisions
- time events
- full object oriented programmed
- autoreconnect
- debugging/logging system
- supports fsocks and PHP socket extension
- supports PHP 4.1.x to 4.3.0
- sendbuffer with priority levels
- channel synching (tracking of users/modes/topic etc in variables)
- IRC functions: op, deop, voice, devoice, ban, unban, join, part,
  action, message, query, ctcp, mode, topic, nick, invite

In PEAR status of this package is: %{_status}.

%description -l pl
Net_SmartIRC to klasa PHP do komunikacji z sieciami IRC zgodnymi z RFC
2812 (protokoem IRC). Jest to API obsugujce wszystkie komunikaty
protokou IRC. Ta klasa zostaa zaprojektowana do tworzenia botw
ircowych, chatw i pokazywania informacji zwizanych z ircem na
stronach WWW.

Lista moliwoci:
- obsuga akcji dla API
- obsuga komunikatw dla API
- zabezpieczenie przed zapchaniem przy wysyaniu/odbieraniu
- wykrywanie i zmiana pseudonimw w przypadku kolizji
- zdarzenia czasowe
- w peni obiektowo zorientowane programowanie
- automatyczne wznawianie pocze
- system ledzenia i logowania
- obsuga rozszerze PHP fsocks i socket
- zgodno z PHP od 4.1.x do 4.3.0
- sendbuffer z priorytetami
- synchronizacja kanaw (ledzienie uytkownikw/trybw/motyww w
  zmiennych)
- funkcje IRC: op, deop, voice, devoice, ban, unban, join, part,
  action, message, query, ctcp, mode, topic, nick, invite.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup
cd ./%{php_pear_dir}/%{_class}
%patch0 -p1
%patch1 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%doc docs/%{_pearname}/{CHANGELOG,CREDITS,FEATURES,README}
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_SmartIRC.spec,v $
Revision 1.21  2007/01/16 18:54:11  glen
- fix for variable refs warning; rel 2

Revision 1.20  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.19  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.18  2005/09/29 00:24:31  glen
- updated to 1.0.0

Revision 1.17  2005/09/29 00:17:11  glen
- new pear packaging

Revision 1.16  2004/12/05 00:10:52  adamg
- install irccomands.php too
- release 3

Revision 1.15  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.14  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.13  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.12  2003/10/07 19:28:21  adamg
- URL unification

Revision 1.11  2003/07/23 22:33:37  adamg
- updated to 0.5.5pl1

Revision 1.10  2003/06/23 06:06:07  adamg
- added fix_includes.patch (solves Provides/Requires issue), release 2

Revision 1.9  2003/06/22 23:40:53  adamg
- added provides - is this The Right Way (tm) ?

Revision 1.8  2003/06/22 18:05:58  adamg
- fixed %doc, builds now

Revision 1.7  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.6  2003/05/28 08:58:45  adamg
- massive attack: added source0-md5

Revision 1.5  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/02/23 23:52:42  ankry
- s/temat/motyw/g

Revision 1.3  2003/01/20 19:38:09  qboosh
- pl description

Revision 1.2  2003/01/08 09:21:39  blues
- adapterized
